import { type Expr, type FnCallExpr } from "../../expr";
import type { FunctionGenerationContext } from "../functions/context";
import { type CodeGenContext } from "../utils";
export declare function generatePendingDeferredDrops(indent: string, context: FunctionGenerationContext, expr: Expr, isCompletion?: boolean, skipAlreadyDroppedCheck?: boolean, skipEnvCheck?: boolean, additionalSkipVarNames?: Set<string>): void;
export declare function generateConsumedVarDropsForEscape(indent: string, context: FunctionGenerationContext, expr: Expr, skipEnvCheck?: boolean): void;
export declare function generateReturn(expr: FnCallExpr, indent: string, context: CodeGenContext): string;
export declare function generateImplicitReturnStatement(expr: Expr, indent: string, context: CodeGenContext): void;
